php-symfony-contracts (3.5.2-5) unstable; urgency=medium

  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 12:14:31 +0100

php-symfony-contracts (3.5.2-4) unstable; urgency=medium

  * Drop test failing with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2025 20:54:34 +0100

php-symfony-contracts (3.5.2-3) unstable; urgency=medium

  * Remove calls to getExpectedException()

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2025 12:24:57 +0100

php-symfony-contracts (3.5.2-2) unstable; urgency=medium

  * Group nophpunit11 for test failing with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2025 09:38:28 +0100

php-symfony-contracts (3.5.2-1) unstable; urgency=medium

  [ sam-bee ]
  * Because PHP 8.4 is adding deprecation warnings for non-nullable parameters
    with null default, change typehints

  [ Christian Flothmann ]
  * add missing properties

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 09:53:46 +0100

php-symfony-contracts (3.5.0-3) unstable; urgency=medium

  * Drop file making PHPUnit 11 fail (Closes: #1070602)

 -- David Prévot <taffit@debian.org>  Tue, 21 May 2024 08:30:32 +0200

php-symfony-contracts (3.5.0-2) unstable; urgency=medium

  * Allow stderr in debci

 -- David Prévot <taffit@debian.org>  Sun, 05 May 2024 22:08:18 +0200

php-symfony-contracts (3.5.0-1) unstable; urgency=medium

  [ Kevin Bond ]
  * [DependencyInjection] Add `ServiceCollectionInterface`

  [ Nicolas Grekas ]
  * [Contracts] Rename ServiceSubscriberTrait to ServiceMethodsSubscriberTrait

  [ David Prévot ]
  * service: Update autoload.php
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sun, 05 May 2024 09:22:02 +0200

php-symfony-contracts (3.4.2-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Apply php-cs-fixer fix --rules
    nullable_type_declaration_for_default_null_value

 -- David Prévot <taffit@debian.org>  Fri, 05 Apr 2024 08:41:41 +0200

php-symfony-contracts (3.4.1-4) unstable; urgency=medium

  * Upload to unstable in sync with Symfony 6
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sat, 24 Feb 2024 21:57:56 +0100

php-symfony-contracts (3.4.1-3) experimental; urgency=medium

  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Tue, 09 Jan 2024 19:16:28 +0100

php-symfony-contracts (3.4.1-2) experimental; urgency=medium

  * Allow psr/container 1.1 again

 -- David Prévot <taffit@debian.org>  Mon, 08 Jan 2024 22:37:56 +0100

php-symfony-contracts (3.4.1-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Allow psr/container 1.1 again

 -- David Prévot <taffit@debian.org>  Fri, 29 Dec 2023 13:41:34 +0100

php-symfony-contracts (3.4.0-1) experimental; urgency=medium

  [ Roland Franssen :) ]
  * [HttpClient] Allow custom working directory in TestHttpServer

 -- David Prévot <taffit@debian.org>  Sat, 18 Nov 2023 15:17:15 +0100

php-symfony-contracts (3.3.0-2) experimental; urgency=medium

  * Revert "Don’t install Test directories": They are actually needed for
    symfony test suite.

 -- David Prévot <taffit@debian.org>  Sat, 03 Jun 2023 10:59:44 +0200

php-symfony-contracts (3.3.0-1) experimental; urgency=medium

  [ Alexandre Daubois ]
  * [Tests] Replace `setMethods()` by `onlyMethods()` and `addMethods()`

  [ Nicolas Grekas ]
  * [HttpClient] Add option `crypto_method` to set the minimum TLS version
    and make it default to v1.2

  [ David Prévot ]
  * Don’t install Test directories

 -- David Prévot <taffit@debian.org>  Wed, 31 May 2023 23:59:16 +0200

php-symfony-contracts (3.2.1-1) experimental; urgency=medium

  * Update standards version to 4.6.2

 -- David Prévot <taffit@debian.org>  Sat, 04 Mar 2023 10:01:04 +0100

php-symfony-contracts (3.2.0-1) experimental; urgency=medium

  [ Kevin Bond ]
  * [DependencyInjection] Allow service subscribers to return
    `SubscribedService[]`

  [ David Prévot ]
  * Mark php-symfony-cache-contracts package as Multi-Arch: foreign
  * Track VCS instead of tarball without tests

 -- David Prévot <taffit@debian.org>  Sat, 10 Dec 2022 10:00:59 +0100

php-symfony-contracts (3.1.1-1) experimental; urgency=medium

  [ Kevin Bond ]
  * [DependencyInjection] remove static cache from `ServiceSubscriberTrait`

 -- David Prévot <taffit@debian.org>  Fri, 01 Jul 2022 07:13:34 +0200

php-symfony-contracts (3.1.0-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Bump minimum version of PHP to 8.1

  [ Fabien Potencier ]
  * Bump license year

  [ David Prévot ]
  * Update copyright (years)
  * Mark three packages as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1
  * Revert "Force PHP 8 for build and CI"

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 18:13:33 +0200

php-symfony-contracts (3.0.0-1) experimental; urgency=medium

  * Upload version 3 to experimental

  [ Nicolas Grekas ]
  * [Contracts] add return types and bump to v3
  * [Contracts] update changelog

  [ Alexander M. Turek ]
  * Remove PHP 7 compat

  [ David Prévot ]
  * Revert "Track version 2 for now (Bookworm?)"
  * Force PHP 8 for build and CI
  * Build-depend on recent php-psr-cache
  * Add version for some dependencies

 -- David Prévot <taffit@debian.org>  Wed, 24 Nov 2021 09:37:09 -0400

php-symfony-contracts (2.5.0-2) unstable; urgency=medium

  * Upload to unstable in sync with Symfony 5

 -- David Prévot <taffit@debian.org>  Tue, 23 Nov 2021 18:56:29 -0400

php-symfony-contracts (2.5.0-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * [DependencyInjection] Add conflict rules for incompatible ext-psr versions

  [ Nicolas Grekas ]
  * [Contracts] update changelog

  [ Kevin Bond ]
  * [DependencyInjection] Add `SubscribedService` attribute, deprecate current
    `ServiceSubscriberTrait` usage

  [ David Prévot ]
  * Drop extra ./ in autoloaders path
  * Fix d/watch after hosting change
  * Update standards version to 4.6.0, no changes needed.
  * Track version 2 for now (Bookworm?)

 -- David Prévot <taffit@debian.org>  Mon, 22 Nov 2021 20:36:45 -0400

php-symfony-contracts (2.4.0-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Allow psr/cache v3 but on symfony/cache

  [ Fabien Potencier ]
  * Bump license year

  [ Alexander M. Turek ]
  * [DependencyInjection] Implement psr/container 1.1

  [ David Prévot ]
  * Simplify gbp import-orig
  * Install /u/s/p/autoloaders files
  * Generate phpabtpl at build time
  * Update watch file format version to 4.
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Update Standards-Version to 4.5.1
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Wed, 21 Apr 2021 13:49:46 -0400

php-symfony-contracts (2.3.1-1) experimental; urgency=medium

  [ HypeMC ]
  * [HttpClient] Fix CurlHttpClient memory leak

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2020 14:48:53 -0400

php-symfony-contracts (2.3.0-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * [Contracts] add TranslatableInterface

 -- David Prévot <taffit@debian.org>  Wed, 07 Oct 2020 14:26:25 -0400

php-symfony-contracts (2.2.0-1) experimental; urgency=medium

  [ Christian Flothmann ]
  * stop using deprecated PHPUnit APIs

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update d/clean

 -- David Prévot <taffit@debian.org>  Fri, 02 Oct 2020 23:59:33 -0400

php-symfony-contracts (2.1.3-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Fix support for PHP8 union types
  * [Contracts] update changelog

  [ David Prévot ]
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Fri, 10 Jul 2020 09:26:15 -0400

php-symfony-contracts (2.1.2-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * [Contracts/Deprecation] Provide a generic function and convention to
    trigger deprecation notices

  [ Jan Rosier ]
  * Update year in license files

  [ David Prévot ]
  * New php-symfony-deprecation-contracts package
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Update copyright (years)
  * Use --sourcedirectory instead of --sourcedir
  * Don’t install dummy upstream changelog

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 15:36:02 -1000

php-symfony-contracts (2.0.1-1) experimental; urgency=medium

  * Set upstream metadata fields: Repository-Browse.

 -- David Prévot <taffit@debian.org>  Tue, 03 Dec 2019 18:43:52 -1000

php-symfony-contracts (2.0.0-1) experimental; urgency=medium

  * Upload version 2 to experimental

  [ Alexander M. Turek ]
  * Add parameter type declarations to contracts.

  [ David Prévot ]
  * php-event-dispatcher is now a (build-)dependency

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2019 22:05:40 -1000

php-symfony-contracts (1.1.8-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sat, 09 Nov 2019 12:24:45 -1000

php-symfony-contracts (1.1.7-1) unstable; urgency=medium

  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Mon, 07 Oct 2019 16:21:41 -1000

php-symfony-contracts (1.1.6-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Fix compatibility with PHPUnit 8

 -- David Prévot <taffit@debian.org>  Tue, 27 Aug 2019 06:27:51 -1000

php-symfony-contracts (1.1.5-3) unstable; urgency=medium

  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Sat, 20 Jul 2019 16:24:05 -0300

php-symfony-contracts (1.1.5-2) unstable; urgency=medium

  * Allow package upgrade (files overwritten)

 -- David Prévot <taffit@debian.org>  Tue, 25 Jun 2019 17:21:09 -1000

php-symfony-contracts (1.1.5-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [Contracts] split in one package per sub-contracts

  [ Michael Bessolov ]
  * Added missing required dependencies on psr/cache and psr/container in
    symfony/cache-contracts and symfony/service-contracts respectively.

  [ David Prévot ]
  * Adapt packaging to split components

 -- David Prévot <taffit@debian.org>  Tue, 25 Jun 2019 10:03:22 -1000

php-symfony-contracts (1.1.0-1) unstable; urgency=medium

  [ Christian Flothmann ]
  * update years in license files

  [ Nicolas Grekas ]
  * [Contracts] introduce HttpClient contracts
  * [Contracts][EventDispatcher] add EventDispatcherInterface

  [ David Prévot ]
  * Use debian/clean for directories
  * Update copyright (years)
  * Install new namespaces
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Add known implementations to autoload

 -- David Prévot <taffit@debian.org>  Fri, 10 May 2019 07:37:51 -1000

php-symfony-contracts (1.0.2-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [Contracts] extract LocaleAwareInterface out of TranslatorInterface

 -- David Prévot <taffit@debian.org>  Thu, 06 Dec 2018 07:50:57 -1000

php-symfony-contracts (1.0.1-1) unstable; urgency=medium

  * Initial release (new symfony dependency)

 -- David Prévot <taffit@debian.org>  Wed, 05 Dec 2018 17:47:27 -1000
